// Enum representing different roles in the game
enum Role { dorfbewohner, werwolf, joker, seher, doctor }

// Extension on the Role enum to provide string representations
extension RoleExtension on Role {
  // Getter to convert enum value to its string representation
  String get stringValue {
    switch (this) {
      case Role.dorfbewohner:
        return 'Dorfbewohner'; // Returns 'Dorfbewohner' for the dorfbewohner role
      case Role.werwolf:
        return 'Werwolf'; // Returns 'Werwolf' for the werwolf role
      case Role.joker:
        return 'Joker'; // Returns 'Joker' for the joker role
      case Role.seher:
        return 'Seher'; // Returns 'Seher' for the seher role
      case Role.doctor:
        return 'Doctor'; // Returns 'Doctor' for the doctor role
    }
  }
}
